Bug 814087 - f17 lsusb -t hangs
f17 lsusb -t hangs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: usbutils (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Lukáš Nykrýn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 04:14 EDT by Lukáš Nykrýn
Modified: 2013-08-01 16:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 808934
Environment:
Last Closed: 2013-08-01 16:07:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Comment (79.20 KB, text/plain)
2012-04-19 04:14 EDT, Lukáš Nykrýn
no flags Details

  None (edit)
Description Lukáš Nykrýn 2012-04-19 04:14:29 EDT
Created attachment 915442 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 1 Reartes Guillermo 2012-07-20 14:10:43 EDT
The only remaining issue is the 'lsusb -t' "hang". The laptop runs F16 x86_64.
Kernel: 3.4.4-4.fc16.x86_64

# lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation Core Processor DRAM Controller [8086:0044] (rev 02)
00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02)
00:16.0 Communication controller [0780]: Intel Corporation 5 Series/3400 Series Chipset HECI Controller [8086:3b64] (rev 06)
00:16.3 Serial controller [0700]: Intel Corporation 5 Series/3400 Series Chipset KT Controller [8086:3b67] (rev 06)
00:19.0 Ethernet controller [0200]: Intel Corporation 82577LM Gigabit Network Connection [8086:10ea] (rev 05)
00:1a.0 USB Controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller [8086:3b3c] (rev 05)
00:1b.0 Audio device [0403]: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio [8086:3b57] (rev 05)
00:1c.0 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 [8086:3b42] (rev 05)
00:1c.1 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 [8086:3b44] (rev 05)
00:1c.2 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 3 [8086:3b46] (rev 05)
00:1c.3 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 4 [8086:3b48] (rev 05)
00:1d.0 USB Controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller [8086:3b34] (rev 05)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev a5)
00:1f.0 ISA bridge [0601]: Intel Corporation 5 Series/3400 Series Chipset LPC Interface Controller [8086:3b0f] (rev 05)
00:1f.2 SATA controller [0106]: Intel Corporation 5 Series/3400 Series Chipset 6 port SATA AHCI Controller [8086:3b2f] (rev 05)
00:1f.3 SMBus [0c05]: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller [8086:3b30] (rev 05)
00:1f.6 Signal processing controller [1180]: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem [8086:3b32] (rev 05)
02:00.0 Network controller [0280]: Intel Corporation Centrino Advanced-N 6200 [8086:422c] (rev 35)
03:00.0 SD Host controller [0805]: Ricoh Co Ltd MMC/SD Host Controller [1180:e822] (rev 01)
3f:00.0 Host bridge [0600]: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers [8086:2c62] (rev 02)
3f:00.1 Host bridge [0600]: Intel Corporation Core Processor QuickPath Architecture System Address Decoder [8086:2d01] (rev 02)
3f:02.0 Host bridge [0600]: Intel Corporation Core Processor QPI Link 0 [8086:2d10] (rev 02)
3f:02.1 Host bridge [0600]: Intel Corporation Core Processor QPI Physical 0 [8086:2d11] (rev 02)
3f:02.2 Host bridge [0600]: Intel Corporation Core Processor Reserved [8086:2d12] (rev 02)
3f:02.3 Host bridge [0600]: Intel Corporation Core Processor Reserved [8086:2d13] (rev 02)

# lsusb
Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 003: ID 0461:4db1 Primax Electronics, Ltd 
Bus 002 Device 003: ID 413c:8187 Dell Computer Corp. DW375 Bluetooth Module
Bus 002 Device 004: ID 0a5c:5800 Broadcom Corp. BCM5880 Secure Applications Processor

# lsusb -t
2-1.7:1.2: No such file or directory
2-1.7:1.3: No such file or directory
2-1.8:0.0: No such file or directory
2-1.8:0.1: No such file or directory
^C

# dmesg | grep 2-1.7
[    2.189089] usb 2-1.7: new full-speed USB device number 3 using ehci_hcd
[    2.268320] usb 2-1.7: New USB device found, idVendor=413c, idProduct=8187
[    2.268455] usb 2-1.7: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[    2.268619] usb 2-1.7: Product: DW375 Bluetooth Module
[    2.268715] usb 2-1.7: Manufacturer: Dell Computer Corp
[    2.268810] usb 2-1.7: SerialNumber: 1C659DF47273
[ 2167.676694] usb 2-1.7: reset full-speed USB device number 3 using ehci_hcd
[ 2167.763444] btusb 2-1.7:1.0: no reset_resume for driver btusb?
[ 2167.763453] btusb 2-1.7:1.1: no reset_resume for driver btusb?
[ 4713.601010] usb 2-1.7: reset full-speed USB device number 3 using ehci_hcd
[ 4713.688039] btusb 2-1.7:1.0: no reset_resume for driver btusb?
[ 4713.688043] btusb 2-1.7:1.1: no reset_resume for driver btusb?

# dmesg | grep 2-1.8
[    2.342688] usb 2-1.8: new full-speed USB device number 4 using ehci_hcd
[    2.453753] usb 2-1.8: New USB device found, idVendor=0a5c, idProduct=5800
[    2.453855] usb 2-1.8: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[    2.453987] usb 2-1.8: Product: 5880
[    2.454075] usb 2-1.8: Manufacturer: Broadcom Corp
[    2.454215] usb 2-1.8: SerialNumber: 0123456789ABCD
[    2.454413] usb 2-1.8: config 0 descriptor??
[   18.258050] mtp-probe[730]: checking bus 2, device 4: "/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.8"

could be these devices the one responsible for the "hang" of "lsusb -t" ?
Comment 2 Lukáš Nykrýn 2012-07-23 03:36:46 EDT
It is hard to say from this output why it hangs, can you please provide a backtrace from gdb?
1) sudo yum localinstall gdb usbutils-debuginfo
2) gdb --args lsusb -t
3) run
4) ctrl+c when it hangs
5) backtrace
Comment 3 Reartes Guillermo 2012-07-23 09:20:29 EDT
# gdb --args lsusb -t
GNU gdb (GDB) Fedora (7.3.50.20110722-13.fc16)
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/lsusb...Reading symbols from /usr/lib/debug/usr/bin/lsusb.debug...done.
done.
(gdb) run
Starting program: /usr/bin/lsusb -t
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
2-1.7:1.2: No such file or directory
2-1.7:1.3: No such file or directory
2-1.8:0.0: No such file or directory
2-1.8:0.1: No such file or directory
^C
Program received signal SIGINT, Interrupt.
append_businterface (new=0x6f2a00, busnum=<optimized out>) at lsusb-t.c:278
278                                     while (i->next)
Missing separate debuginfos, use: debuginfo-install glibc-2.14.90-24.fc16.7.x86_64 libusb1-1.0.9-0.6.rc1.fc16.x86_64
(gdb) backtrace
#0  append_businterface (new=0x6f2a00, busnum=<optimized out>) at lsusb-t.c:278
#1  assign_interface_to_parent (d=0x6f0850, i=0x6f2a00) at lsusb-t.c:541
#2  0x000000000040b4ab in connect_devices () at lsusb-t.c:561
#3  lsusb_t () at lsusb-t.c:703
#4  0x0000000000401c78 in treedump () at lsusb.c:3936
#5  0x00000000004019cb in main (argc=2, argv=0x7fffffffe578) at lsusb.c:4063
Comment 4 Lukáš Nykrýn 2012-07-24 03:34:32 EDT
Thanks for the backtrace, I still don't know where the problem exactly is, but now I know where to look for it.
Comment 5 Lukáš Nykrýn 2012-07-24 04:41:43 EDT
I am still not sure which loop leads to shutdown. I have prepared a build of usbutils with some debug messages, can you please try it and post here an output?
http://lnykryn.fedorapeople.org/usbutils/003-4.1/
Comment 6 Reartes Guillermo 2012-07-24 11:09:56 EDT
# gdb --args lsusb -t
GNU gdb (GDB) Fedora (7.3.50.20110722-13.fc16)
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/lsusb...Reading symbols from /usr/lib/debug/usr/bin/lsusb.debug...done.
done.
(gdb) run
Starting program: /usr/bin/lsusb -t
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
2-1.7:1.2: No such file or directory
2-1.7:1.3: No such file or directory
2-1.8:0.0: No such file or directory
2-1.8:0.1: No such file or directory
connect_devices
iterating usbdevlist
 D 0x6ef490:'1-1': n (nil) fi (nil) fc (nil) bn 1 ppn 0 pn 1 p (nil) bCV 1 bDC 09 bDP 01 bDSC 00 bMPS 64 bMP '  0mA' bNC 1 bNI 1 bcdD 00 bmA e0 c 0 dn 2 idP 0020 idV 8087 mc 6 m '' p '' s '' v ' 2.00' sp '480' driver 'usb'
assign_dev_to_bus
exit_assign_dev_to_bus
iterating interfacelist 1
 I 0x6efe90:'1-1.4:1.0': n (nil) c 1 if 0 bAS 0 bIC 0e bIN 00 bIP 00 bISC 01 bNE 1 d 'uvcvideo'
assign_interface_to_parent
exit_assign_interface_to_parent
 I 0x6f00e0:'1-1.4:1.1': n (nil) c 1 if 1 bAS 0 bIC 0e bIN 01 bIP 00 bISC 02 bNE 0 d 'uvcvideo'
assign_interface_to_parent
exit_assign_interface_to_parent
 I 0x6f0e70:'2-1.7:1.0': n (nil) c 1 if 0 bAS 0 bIC e0 bIN 00 bIP 01 bISC 01 bNE 3 d 'btusb'
assign_interface_to_parent
exit_assign_interface_to_parent
 I 0x6f10c0:'2-1.7:1.1': n (nil) c 1 if 1 bAS 0 bIC e0 bIN 01 bIP 01 bISC 01 bNE 2 d 'btusb'
assign_interface_to_parent
exit_assign_interface_to_parent
 I 0x6f1310:'2-1.7:1.2': n (nil) c 1 if 2 bAS 0 bIC ff bIN 02 bIP ff bISC ff bNE 2 d ''
assign_interface_to_parent
exit_assign_interface_to_parent
 I 0x6f1560:'2-1.7:1.3': n (nil) c 1 if 3 bAS 0 bIC fe bIN 03 bIP 00 bISC 01 bNE 0 d ''
assign_interface_to_parent
exit_assign_interface_to_parent
 I 0x6f17b0:'2-1.8:0.0': n (nil) c 0 if 0 bAS 0 bIC fe bIN 00 bIP 00 bISC 00 bNE 3 d ''
assign_interface_to_parent
append_businterface
exit_append_businterface
exit_assign_interface_to_parent
 I 0x6f1a00:'2-1.8:0.1': n (nil) c 0 if 1 bAS 0 bIC 0b bIN 01 bIP 00 bISC 00 bNE 3 d ''
assign_interface_to_parent
append_businterface
exit_append_businterface
exit_assign_interface_to_parent
 I 0x6f1c50:'1-0:1.0': n (nil) c 1 if 0 bAS 0 bIC 09 bIN 00 bIP 00 bISC 00 bNE 1 d 'hub'
assign_interface_to_parent
exit_assign_interface_to_parent
 I 0x6f1ea0:'1-1:1.0': n (nil) c 1 if 0 bAS 0 bIC 09 bIN 00 bIP 00 bISC 00 bNE 1 d 'hub'
assign_interface_to_parent
exit_assign_interface_to_parent
 I 0x6f20f0:'2-0:1.0': n (nil) c 1 if 0 bAS 0 bIC 09 bIN 00 bIP 00 bISC 00 bNE 1 d 'hub'
assign_interface_to_parent
exit_assign_interface_to_parent
 I 0x6f2340:'2-1:1.0': n (nil) c 1 if 0 bAS 0 bIC 09 bIN 00 bIP 00 bISC 00 bNE 1 d 'hub'
assign_interface_to_parent
exit_assign_interface_to_parent
 D 0x6ef850:'2-1': n (nil) fi (nil) fc (nil) bn 2 ppn 0 pn 1 p (nil) bCV 1 bDC 09 bDP 01 bDSC 00 bMPS 64 bMP '  0mA' bNC 1 bNI 1 bcdD 00 bmA e0 c 0 dn 2 idP 0020 idV 8087 mc 8 m '' p '' s '' v ' 2.00' sp '480' driver 'usb'
assign_dev_to_bus
exit_assign_dev_to_bus
iterating interfacelist 1
 I 0x6efe90:'1-1.4:1.0': n (nil) c 1 if 0 bAS 0 bIC 0e bIN 00 bIP 00 bISC 01 bNE 1 d 'uvcvideo'
assign_interface_to_parent
exit_assign_interface_to_parent
 I 0x6f00e0:'1-1.4:1.1': n (nil) c 1 if 1 bAS 0 bIC 0e bIN 01 bIP 00 bISC 02 bNE 0 d 'uvcvideo'
assign_interface_to_parent
exit_assign_interface_to_parent
 I 0x6f0e70:'2-1.7:1.0': n (nil) c 1 if 0 bAS 0 bIC e0 bIN 00 bIP 01 bISC 01 bNE 3 d 'btusb'
assign_interface_to_parent
exit_assign_interface_to_parent
 I 0x6f10c0:'2-1.7:1.1': n (nil) c 1 if 1 bAS 0 bIC e0 bIN 01 bIP 01 bISC 01 bNE 2 d 'btusb'
assign_interface_to_parent
exit_assign_interface_to_parent
 I 0x6f1310:'2-1.7:1.2': n (nil) c 1 if 2 bAS 0 bIC ff bIN 02 bIP ff bISC ff bNE 2 d ''
assign_interface_to_parent
exit_assign_interface_to_parent
 I 0x6f1560:'2-1.7:1.3': n (nil) c 1 if 3 bAS 0 bIC fe bIN 03 bIP 00 bISC 01 bNE 0 d ''
assign_interface_to_parent
exit_assign_interface_to_parent
 I 0x6f17b0:'2-1.8:0.0': n 0x6f1a00 c 0 if 0 bAS 0 bIC fe bIN 00 bIP 00 bISC 00 bNE 3 d ''
assign_interface_to_parent
append_businterface
exit_append_businterface
exit_assign_interface_to_parent
 I 0x6f1a00:'2-1.8:0.1': n 0x6f17b0 c 0 if 1 bAS 0 bIC 0b bIN 01 bIP 00 bISC 00 bNE 3 d ''
assign_interface_to_parent
append_businterface
^C
Program received signal SIGINT, Interrupt.
0x000000000040ad77 in append_businterface (new=0x6f1a00, busnum=2) at lsusb-t.c:281
281                                     while (i->next)
(gdb) backtrace
#0  0x000000000040ad77 in append_businterface (new=0x6f1a00, busnum=2) at lsusb-t.c:281
#1  assign_interface_to_parent (d=<optimized out>, i=0x6f1a00) at lsusb-t.c:550
#2  0x000000000040b77b in connect_devices () at lsusb-t.c:577
#3  lsusb_t () at lsusb-t.c:722
#4  0x0000000000401c78 in treedump () at lsusb.c:3936
#5  0x00000000004019cb in main (argc=2, argv=0x7fffffffdf18) at lsusb.c:4063
(gdb) quit
A debugging session is active.

        Inferior 1 [process 7532] will be killed.

Quit anyway? (y or n) y
Comment 7 Reartes Guillermo 2012-08-15 11:08:39 EDT
@Lukáš Nykrýn

You might want to examine 
Bug 770222 - Bluetooth gone after hibernate-resume cycle
Comment 8 Lukáš Nykrýn 2013-02-25 10:41:41 EST
Can you please try fixed version from report #914929
http://people.fedoraproject.org/~lnykryn/usbutils/006-4/
Comment 9 Fedora Update System 2013-02-26 09:34:05 EST
usbutils-004-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/usbutils-004-5.fc17
Comment 10 Fedora Update System 2013-02-26 21:40:39 EST
Package usbutils-004-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing usbutils-004-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3128/usbutils-004-5.fc17
then log in and leave karma (feedback).
Comment 11 Fedora End Of Life 2013-07-04 03:44:29 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-08-01 16:07:14 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.